# DataExchange
TKIGES
IGESBasic

# IGESBasic_ExternalRefName Class Reference

defines ExternalRefName, Type <416> Form <3>
in package IGESBasic
Used when it is assumed that a copy of the subfigure
exists in native form on the receiving system

`#include <IGESBasic_ExternalRefName.hxx>`

Inheritance diagram for IGESBasic_ExternalRefName:

[legend]

## Public Member Functions

Standard_EXPORT | IGESBasic_ExternalRefName ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&anExtName)
| This method is used to set the fields of the class ExternalRefName - anExtName : External Reference Entity Symbolic Name .
Standard_EXPORT Handle_TCollection_HAsciiString | ReferenceName () const
| returns External Reference Entity Symbolic Name
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theExtRefEntitySymbName

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_ExternalRefName::IGESBasic_ExternalRefName | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESBasic_ExternalRefName::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESBasic_ExternalRefName::Init | ( | const Handle(TCollection_HAsciiString)& | anExtName | ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESBasic_ExternalRefName::ReferenceName | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString IGESBasic_ExternalRefName::theExtRefEntitySymbName `[private]`

The documentation for this class was generated from the following file:

- IGESBasic_ExternalRefName.hxx